function A = KlustaImport(clu_file)
%function A = KlustaImport(clu_file)
%%%%%%%%%%%%%%%%%%%%%%
% Load the cluster file generated by KKwick
%%%%%%%%%%%%%%%%%%%%%%
% INPUT: a .clu.n file from KK
% OUTPUT: The MClust_Clusters cell array of precut cluster objects for each cluster
% 
% cowen
%
% Status: PROMOTED (Release version) 
% See documentation for copyright (owned by original authors) and warranties (none!).
% This code released as part of MClust 3.0.
% Version control M3.0.


clusters = load(clu_file);
clusters = clusters(2:end);
unique_clusters = unique(clusters);
n_clusters = length(unique_clusters);

%%%%%%%%%%%%%%%%%%%%%%
% Export to Mclust as individual clusters.
%%%%%%%%%%%%%%%%%%%%%%
for cluster_id = 1:n_clusters
    idx = find(clusters == unique_clusters(cluster_id));
    A{cluster_id} = precut(idx,'indices');
end